# Interface ICEFUrlRequestClientEvents

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICEFUrlRequestClientEvents = interface(IInterface)`

## Description

Custom interface used to handle all the TCEFUrlRequestClientComponent events.

###### Attributes

GUID['{1AA800A7-56A1-43CA-A224-49368F18BDD8}']

## Hierarchy

- IInterface
- ICEFUrlRequestClientEvents

## Overview

### Methods

| `procedure doOnRequestComplete(const request: ICefUrlRequest);`
| `procedure doOnUploadProgress(const request: ICefUrlRequest; current, total: Int64);`
| `procedure doOnDownloadProgress(const request: ICefUrlRequest; current, total: Int64);`
| `procedure doOnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt);`
| `function doOnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;`
| `procedure doOnCreateURLRequest;`
| `function GetComponentID: integer;`

### Properties

| `property ComponentID : integer read GetComponentID;`

## Description

### Methods

| `procedure doOnRequestComplete(const request: ICefUrlRequest);`
ICefUrlrequestClient

| `procedure doOnUploadProgress(const request: ICefUrlRequest; current, total: Int64);`
This item has no description.

| `procedure doOnDownloadProgress(const request: ICefUrlRequest; current, total: Int64);`
This item has no description.

| `procedure doOnDownloadData(const request: ICefUrlRequest; data: Pointer; dataLength: NativeUInt);`
This item has no description.

| `function doOnGetAuthCredentials(isProxy: Boolean; const host: ustring; port: Integer; const realm, scheme: ustring; const callback: ICefAuthCallback): Boolean;`
This item has no description.

| `procedure doOnCreateURLRequest;`
Custom

| `function GetComponentID: integer;`
This item has no description.

### Properties

| `property ComponentID : integer read GetComponentID;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.